Bug 1872520 - Pruner degrades image registry operator if the latter is removed
Summary: Pruner degrades image registry operator if the latter is removed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 4.5
Hardware: All
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.4.z
Assignee: Ricardo Maraschini
QA Contact: Wenjing Zheng
URL:
Whiteboard:
Depends On: 1872519
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-26 01:02 UTC by OpenShift BugZilla Robot
Modified: 2020-10-13 08:18 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Prune enabled with image registry Removed Consequence: Pruner job failing because it fails to reach a registry that does not exist (Removed) Fix: Do not attempt to ping the registry if it is removed. Result: Pruner succeeds and removes only etcd objects (do not attempt to remove blobs)
Clone Of:
Environment:
Last Closed: 2020-10-13 08:17:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift oc pull 533 0 None closed [release-4.4] Bug 1872520: Allow prune to move on with Removed registry 2021-02-07 12:05:55 UTC
Github openshift oc pull 578 0 None closed Bug 1872520: Replace bitbucket.org/ww/goautoneg with its mirror 2021-02-07 12:05:55 UTC
Red Hat Product Errata RHBA-2020:4063 0 None None None 2020-10-13 08:18:17 UTC

Comment 4 Wenjing Zheng 2020-09-28 05:04:20 UTC
$ oc logs pods/image-pruner-1601269320-4rktm
Only API objects will be removed.  No modifications to the image registry will be made.
Deleted 0 objects.
zhengwenjings-MacBook-Pro:4.4 wzheng$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.4.0-0.nightly-2020-09-26-200621

Verified as above info.

Comment 7 errata-xmlrpc 2020-10-13 08:17:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.4.27 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4063


Note You need to log in before you can comment on or make changes to this bug.